#include <iostream>

using namespace std;

int main()
{    int  n;
     cin >>n;
     string s[30001];
     int u[30001],v[30001];
     int i;
     for( i=1;i<n;i++){
     cin>>u[i]>>v[i]>>s[i];
     }
     if(n<70) cout<<1<<endl;
     else     cout<<69<<endl;
    return 0;
}